f=crfig(50,50,660,420,['Model ',num2str(p_index),': (' num2str(row) ',' num2str(col) ')'],...
   'w','none','off');
set(f,'UserData',{[row col p_index],current_obj});
uicontrol(f,...
 'Style','text',...
 'Position',[20 75 120 25],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k',...
 'HorizontalAlignment','Left',...
 'String','Current Model String :');
uicontrol(f,...
 'Style','text',...
 'Position',[20 340 260 20],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k',...
 'HorizontalAlignment','Left',...
 'String','Model (edit) =   ------------------------------------------------------');
uicontrol(f,...
 'Style','text',...
 'Position',[370 340 200 20],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k',...
 'HorizontalAlignment','Left',...
 'String','+     --------------------------------------------------------');
uicontrol(f,...
 'Style','frame',...
 'Position',[390 360 170 26],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k');
uicontrol(f,...
  'Style','edit',...
  'Position',[395 363 160 20],...
  'Backgroundcolor','w',...
  'UserData',[8],...
  'Foregroundcolor','k',...
  'String',Xmnums{row,col,2,p_index},...
  'Callback',['TF_index=2;cbackM']);
uicontrol(f,...
 'Style','frame',...
 'Position',[390 315 170 26],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k');
uicontrol(f,...
  'Style','edit',...
  'Position',[395 318 160 20],...
  'Backgroundcolor','w',...
 'UserData',[6],...
  'Foregroundcolor','k',...
  'String',Xmdens{row,col,2,p_index},...
  'Callback',['TF_index=2;cbackM']);  
uicontrol(f,...
 'Style','frame',...
 'Position',[570 338 80 26],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k');
uicontrol(f,...
  'Style','edit',...
  'Position',[575 341 70 20],...
  'Backgroundcolor','w',...
  'UserData',[4],...
  'Foregroundcolor','k',...
  'String',Xmdeads{row,col,2,p_index},...
  'Callback',['TF_index=2;cbackM']);
uicontrol(f,...
 'Style','text',...
 'Position',[17 240 260 20],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k',...
 'HorizontalAlignment','Left',...
 'String','Model (result) =   ------------------------------------------------------');
uicontrol(f,'Style','edit',...
 'Position',[145 75 500 25],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k',...
 'String',m{row,col,p_index});
% -------------------------------
% This part reserve for the lag model
%-------------------------------------
temp1='on';
if maxrow>1 | maxcol>1 | degree_freedom==1 | (cascade & p_index==1)
   temp1='off';
end
uicontrol(f,...
 'Style','frame',...
 'Position',[155 147 180 26],...
 'Backgroundcolor','w',...
 'Visible',temp1,...
 'Foregroundcolor','k');
uicontrol(f,...
 'Style','edit',...
 'Position',[160 150 160 20],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k',...
 'Visible',temp1,...
 'UserData',[18],...
 'String',mds,...
 'Callback',['TF_index=1;cbackM']);
uicontrol(f,...
 'Style','text',...
 'Position',[20 150 130 20],...
 'Backgroundcolor','w',...
 'Visible',temp1,...
 'Foregroundcolor','k',...
 'HorizontalAlignment','Left',...
 'String','Disturbance lag:');
temp=mtx2str(Tcanc(2,:),2);
uicontrol(f,...
 'Style','edit',...
 'Position',[350 150 150 20],...
 'Visible',temp1,...
 'Backgroundcolor','w',...
 'Foregroundcolor','k',...
 'String',temp);
% ---------------------------------------
uicontrol(f,...
  'Style','edit',...
  'Position',[395 263 160 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'String',Xmnum{row,col,2,p_index});
uicontrol(f,...
  'Style','edit',...
  'Position',[395 218 160 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'String',Xmden{row,col,2,p_index});  
uicontrol(f,...
  'Style','edit',...
  'Position',[575 241 70 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'String',Xmdead{row,col,2,p_index});
uicontrol(f,...
  'Style','edit',...
  'Position',[105 263 160 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'String',Xmnum{row,col,1,p_index});
uicontrol(f,...
  'Style','edit',...
  'Position',[105 218 160 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'String',Xmden{row,col,1,p_index});  
uicontrol(f,...
  'Style','edit',...
  'Position',[285 241 70 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'String',Xmdead{row,col,1,p_index});
uicontrol(f,...
 'Style','frame',...
 'Position',[100 360 170 26],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k');
uicontrol(f,...
  'Style','edit',...
  'Position',[105 363 160 20],...
  'Backgroundcolor','w',...
  'UserData',[8],...
  'Foregroundcolor','k',...
  'String',Xmnums{row,col,1,p_index},...
  'Callback',['TF_index=1;cbackM']);
uicontrol(f,...
 'Style','frame',...
 'Position',[100 315 170 26],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k');
uicontrol(f,...
  'Style','edit',...
  'Position',[105 318 160 20],...
  'Backgroundcolor','w',...
  'UserData',[6],...
  'Foregroundcolor','k',...
  'String',Xmdens{row,col,1,p_index},...
  'Callback',['TF_index=1;cbackM']);  
uicontrol(f,...
 'Style','frame',...
 'Position',[280 338 80 26],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k');
uicontrol(f,...
  'Style','edit',...
  'Position',[285 341 70 20],...
  'Backgroundcolor','w',...
  'UserData',[4],...
  'Foregroundcolor','k',...
  'String',Xmdeads{row,col,1,p_index},...
  'Callback',['TF_index=1;cbackM']);
uicontrol(f,...
 'Style','text',...
 'Position',[370 240 200 20],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k',...
 'HorizontalAlignment','Left',...
 'String','+     --------------------------------------------------------');
uicontrol(f,...
  'Style','push',...
  'Position',[230 20 70 25],...
  'UserData',[2],...
  'String','OK',...
  'Callback',['TF_index=1;cbackM']);
uicontrol(f,...
 'Style','push',...
 'Position',[320 20 70 25],...
 'String','Help',...
 'Callback','sayhelp(210)');
