function mag=tune_solve(E,Epsilon,fun,xwc,Mp,vub,vlb,y,ps,ms,qs,order,input_delay,pds,qds)
global Tune_flag Xwc_ub_w

if strcmp(fun,'mimo1com')| strcmp(fun,'mimo2com')
   Epsilon{1}=E;
elseif strcmp(fun,'mimopartial')
   Epsilon{2}=E;
end
index=Tune_flag(find(Tune_flag));
n=length(index);
ln=length(vub)+1;
mag=zeros(n,1);
option=optimset('LargeScale','off','Display','off');
for i=1:n
   [temp,temp1]=max(Xwc_ub_w{index(i),index(i)}(:,1));
   xwc=[Xwc_ub_w{index(i),index(i)}(temp1,3:end) Xwc_ub_w{index(i),index(i)}(temp1,2)];
   vub(ln)=5*Xwc_ub_w{index(i),index(i)}(temp1,2);
   vlb(ln)=0.2*Xwc_ub_w{index(i),index(i)}(temp1,2);
   [xwc,fval]=fmincon(fun,xwc,[],[],[],[],vlb,vub,[],option,...
      y,Epsilon,-1,0,ps,ms,qs,order,index(i),index(i),input_delay,pds,qds);
   mag(i)=-fval-Mp(i);
   if abs(mag(i)) < 1e-3 % if magnitudes are close to the required Mp.
      freq_index=max(find(Xwc_ub_w{index(i),index(i)}(:,2)<=xwc(ln))); 
      if ~isempty(freq_index)
         tmp=Xwc_ub_w{index(i),index(i)}(freq_index,2);
         tmp1=Xwc_ub_w{index(i),index(i)}(freq_index+1,2);
         tmp2=tmp1/tmp;
         if tmp~=xwc(ln) & xwc(ln) > tmp*tmp2^(1/5) & xwc(ln) < tmp*tmp2^(4/5)
            tmp3=[-fval*10 xwc(ln) xwc(1:ln-1)];
            Xwc_ub_w{index(i),index(i)}=[Xwc_ub_w{index(i),index(i)}(1:freq_index,:);tmp3;...
                  Xwc_ub_w{index(i),index(i)}(freq_index+1:end,:)]; % insert the new upper bound.
         end
      end
   end
end
