function [e]=noise_amp_MIMO(qs,order,Na,y)
% [e]=noise_amp_e(qs,order,Na,y)
% This function compute the filter time constant to satisfy noise amplification.
n=length(order);
e=ones(1,n)*1e-2;
option=optimset('LargeScale','off','Display','off');
e=fsolve('mimo_noise',e,option,qs,order,Na,y);

