%View control system setting
tmp=(100+maxrow*25);
[f]=crfig(20,20,600,tmp,'Multi Variable Feedback Controller, qd(s)','w','none','off');
tmp(2)=tmp(1)-60;
 uicontrol(f,...
  'Style','text',...
  'Position',[40 tmp(2) 70 50],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'HorizontalAlignment','Left',...
  'String','qd :');
tmp(2)=tmp(2)+30;
tmp(3)=480/maxcol;
for i=1:maxrow
   for j=1:maxcol
      if i==j
         if isempty(findstr(qd{i,j},'e('))
            temp=strrep(qd{i,j},'e',num2str(Epsilon{2}(j)));
         else
            temp=strrep(qd{i,j},['e(' num2str(j) ')'],num2str(Epsilon{2}(j)));
         end
      else
         temp='';
      end
      uicontrol(f,...
         'Style','edit',...
         'Position',[100+(j-1)*tmp(3) tmp(2)-22*(i-1) tmp(3)-2 20],...
         'Backgroundcolor','w',...
         'Foregroundcolor','k',...
         'String',temp);
   end
end
uicontrol(f,...
  'Style','push',...
  'Position',[260 20 80 25],...
  'String','OK',...
  'Callback','close');
clear tmp temp

